<VirtualHost *:80>
  DocumentRoot /var/www/html/movietellingfe
  ServerName questit.movie-here.net
  ServerAlias staging.movie-here.net
        <Directory /var/www/html/movietellingfe>
            Options -Indexes +FollowSymLinks +MultiViews
            AllowOverride All
            Require all granted
        </Directory>
  RewriteEngine on
    RewriteCond %{SERVER_NAME} =questit.movie-here.net
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<IfModule mod_ssl.c>
    <VirtualHost *:443>
        DocumentRoot /var/www/html/movietellingfe
        ServerName questit.movie-here.net
        ErrorLog ${APACHE_LOG_DIR}/error.log
        CustomLog ${APACHE_LOG_DIR}/access.log combined


        <Directory /var/www/html/movietellingfe>
            Options -Indexes +FollowSymLinks +MultiViews
            AllowOverride All
            Require all granted
        </Directory>

        Header set Access-Control-Allow-Origin "*"
        Include /etc/letsencrypt/options-ssl-apache.conf
        SSLCertificateFile /etc/letsencrypt/live/questit.movie-here.net/fullchain.pem
        SSLCertificateKeyFile /etc/letsencrypt/live/questit.movie-here.net/privkey.pem

    </VirtualHost>
</IfModule>
